org.richfaces.fragment.calendar

## Class DayPicker

- java.lang.Object
- - org.richfaces.fragment.calendar.DayPicker

-     public class DayPicker
      extends Object

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DayPicker.CalendarDay`
    `static class` | `DayPicker.CalendarDayImpl`
    `static class` | `DayPicker.CalendarDaysImpl`
    `static class` | `DayPicker.CalendarWeek`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DayPicker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends DayPicker.CalendarDay>` | `getBoundaryDays()`
    `DayPicker.CalendarDaysImpl` | `getDays()`
    `List<? extends DayPicker.CalendarDay>` | `getMonthDays()`
    `List<org.openqa.selenium.WebElement>` | `getMonthDaysElements()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `DayPicker.CalendarDay` | `getSelectedDay()`
    `org.jboss.arquillian.graphene.GrapheneElement` | `getSelectedDayElement()`
    `List<? extends DayPicker.CalendarDay>` | `getSpecificDays(Integer... weekDayPosition)`
    `DayPicker.CalendarDay` | `getTodayDay()`
    `org.jboss.arquillian.graphene.GrapheneElement` | `getTodayDayElement()`
    `DayPicker.CalendarWeek` | `getWeek(int weekFromActCalendar)`
    `org.openqa.selenium.WebElement` | `getWeekDaysBarElement()`
    `List<String>` | `getWeekDayShortNames()`
    `List<org.openqa.selenium.WebElement>` | `getWeekDaysLabelsElements()`
    `List<DayPicker.CalendarWeek>` | `getWeeks()`
    `List<Integer>` | `getWeeksNumbers()`
    `boolean` | `isVisible()`
    `void` | `selectDayInMonth(org.joda.time.DateTime dateTime)`
    `void` | `selectDayInMonth(int day)`
    `WaitingWrapper` | `waitUntilIsNotVisible()`
    `WaitingWrapper` | `waitUntilIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DayPicker

          public DayPicker()

  - ### Method Detail

    - #### getBoundaryDays

          public List<? extends DayPicker.CalendarDay> getBoundaryDays()

    - #### getDays

          public DayPicker.CalendarDaysImpl getDays()

    - #### getMonthDays

          public List<? extends DayPicker.CalendarDay> getMonthDays()

    - #### getSelectedDay

          public DayPicker.CalendarDay getSelectedDay()

    - #### getSpecificDays

          public List<? extends DayPicker.CalendarDay> getSpecificDays(Integer... weekDayPosition)

      Parameters:
        `weekDayPosition` - indexes from <1;7>.
      Returns:

    - #### getTodayDay

          public DayPicker.CalendarDay getTodayDay()

    - #### getWeek

          public DayPicker.CalendarWeek getWeek(int weekFromActCalendar)

    - #### getWeekDayShortNames

          public List<String> getWeekDayShortNames()

    - #### getWeekDaysBarElement

          public org.openqa.selenium.WebElement getWeekDaysBarElement()

    - #### getWeeks

          public List<DayPicker.CalendarWeek> getWeeks()

    - #### getWeeksNumbers

          public List<Integer> getWeeksNumbers()

    - #### isVisible

          public boolean isVisible()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### selectDayInMonth

          public void selectDayInMonth(org.joda.time.DateTime dateTime)

    - #### selectDayInMonth

          public void selectDayInMonth(int day)

    - #### waitUntilIsNotVisible

          public WaitingWrapper waitUntilIsNotVisible()

    - #### waitUntilIsVisible

          public WaitingWrapper waitUntilIsVisible()

    - #### getWeekDaysLabelsElements

          public List<org.openqa.selenium.WebElement> getWeekDaysLabelsElements()

    - #### getMonthDaysElements

          public List<org.openqa.selenium.WebElement> getMonthDaysElements()

    - #### getSelectedDayElement

          public org.jboss.arquillian.graphene.GrapheneElement getSelectedDayElement()

    - #### getTodayDayElement

          public org.jboss.arquillian.graphene.GrapheneElement getTodayDayElement()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.